
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>php通过记录IP来防止表单重复提交方法分析_php技巧 / iVAN</title>

    <meta name="description" content="php通过记录IP来防止表单重复提交方法分析_php技巧 本文实例分析了php通过记录IP来防止表单重复提交方法.分享给大家供大家参考.具体分析如下: 这个原理比较的简单就是用户第一次提交时我们记录提交用户的IP地址,这样如果用户在固定时间内再次提交表单就会提示重复提交了,这种做法通常用于在顶一下,支持一下这种应用中了,在防止数据重复提交是一个非常不好的选择. 例子,代码如下: 复制代码 代码如下: &lt;?php session_start(); if(empty($_SESSION['ip']))//第一次写入操作,判断是否记录了IP地址,以此知 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">php通过记录IP来防止表单重复提交方法分析_php技巧</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>本文实例分析了php通过记录IP来防止表单重复提交方法。分享给大家供大家参考。具体分析如下：</p>
<p>这个原理比较的简单就是用户第一次提交时我们记录提交用户的IP地址,这样如果用户在固定时间内再次提交表单就会提示重复提交了,这种做法通常用于在顶一下,支持一下这种应用中了,在防止数据重复提交是一个非常不好的选择.</p>
<p>例子,代码如下:</p>
<p><u>复制代码</u> 代码如下:</p>
<p>&lt;?php <br />
session_start(); <br />
if(empty($_SESSION['ip']))//第一次写入操作，判断是否记录了IP地址，以此知道是否要写入数据库 <br />
{ <br />
$_SESSION['ip']=$_SERVER['REMOTE_ADDR'];//第一次写入，为后面刷新或后退的判断做个铺垫 <br />
mysql_query("INSERT INTO admin(id, name, age) VALUES(123, '姚明', 25)");//写入数据库操作 <br />
}<br />
else//已经有第一次写入后的操作，也就不再写入数据库 <br />
{ <br />
echo '请不要重复提交表单或刷新页面';//写一些已经写入的提示或其它东西 <br />
} <br />
?&gt;</p>
<p>还有办法就是：<br />
<br />1:在页面生成随机码，也就是每次提交随机码都不一样，在提交的时候验证随机码！</p>
<p>2:在提交的时候,验证如果数据存在,就不提交了．</p>
<p>如果你想防止重复提交入库IP不是最好的办法,我们可以在数据库中查询是不是有相同记录并且IP是不是想同再进行处理.</p>
<p>例子,代码如下:</p>
<p><u>复制代码</u> 代码如下:</p>
<p>$sql ="select * from 表名 where buy_tel='电话' and IP='$ip'   ";// and $time-buy_date&lt;60 <br />
$query = $db-&gt;query( $sql ); <br />
if( $db-&gt;rows( $query ) ) <br />
{ <br />
echo('&lt;script&gt;alert("您己提交过了，请勿重复提交！");&lt;/script&gt;'); <br />
} <br />
else <br />
{ <br />
//进行入库操作 <br />
}</p>
<p>希望本文所述对大家的PHP程序设计有所帮助。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 12:46:55</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%96%b9%e6%b3%95/" title="方法">方法</a>, <a href="https://www.iamivan.net/tag/php/" title="php">php</a>, <a href="https://www.iamivan.net/tag/%e8%a1%a8%e5%8d%95/" title="表单">表单</a>, <a href="https://www.iamivan.net/tag/%e8%ae%b0%e5%bd%95/" title="记录">记录</a>, <a href="https://www.iamivan.net/tag/%e9%98%b2%e6%ad%a2/" title="防止">防止</a>, <a href="https://www.iamivan.net/tag/%e9%87%8d%e5%a4%8d%e6%8f%90%e4%ba%a4/" title="重复提交">重复提交</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>php通过记录IP来防止表单重复提交方法分析_php技巧的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z43y9Np.html" rel="bookmark">一个JavaScript防止表单重复提交的实例&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				&lt;!DOCTYPE html&gt; &lt;html&gt; &lt;head&gt; &lt;meta http-equiv=&quot;Content-Type&quot; content=&quot;text/html; charset=UTF-8&quot; /&gt; &lt;title&gt;防止重复表单提交&lt;/title&gt; &lt;style&gt; #refresh{ display: none; width:200px; height:20px; background			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MWlawnp.html" rel="bookmark">js防止表单重复提交实现代码&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				基于令牌的处理就是一劳永逸的方法. 复制代码 代码如下: &lt;script Language='JavaScript'&gt; function formsubmit() { Today = new Date(); var NowHour = Today.getHours(); var NowMinute = Today.getMinutes(); var NowSecond = Today.getSeconds(); var mysec = (NowHour*3600)+(NowMinute*60)			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pd7KA4M.html" rel="bookmark">php 防止表单重复提交方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 用户提交表单时可能因为网速的原因,或者网页被恶意刷新,致使同一条记录重复插入到数据库中,这是一个比较棘手的问题.我们可以从客户端和服务器端一起着手,设法避免同一表单的重复提交. 1.使用客户端脚本 [代码]xm l代码: 1&lt;form method=&quot;post&quot; name=&quot;register&quot; action=&quot;test.php&quot; enctype=&quot;multipart/form-data&quot;&gt; 2&lt;in put			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mywwa8z.html" rel="bookmark">php 解决表单重复提交实现方法引见</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  php 解决表单重复提交实现方法介绍 重复提交是我们开发中会常碰到的一个问题,除了我们使用js来防止表单的重复提交,同时还可以使用php来防止重复提交哦. 例1 代码如下 复制代码 /* * php中如何防止表单的重复提交 */ session_start(); if (empty($_SESSION['ip'])) {//第一次写入操作,判断是否记录了IP地址,以此知道是否要写入数据库 $_SESSION['ip'] = $_SERVER['REMOTE_ADDR']; //第一次写入,为			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pk0Lj1z.html" rel="bookmark">解决php表单重复提交实现方法&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				重复提交是我们开发中会常碰到的一个问题,除了我们使用js来防止表单的重复提交,同时还可以使用php来防止重复提交哦. &lt;?php /* * php中如何防止表单的重复提交 */ session_start(); if (empty($_SESSION['ip'])) {//第一次写入操作,判断是否记录了IP地址,以此知道是否要写入数据库 $_SESSION['ip'] = $_SERVER['REMOTE_ADDR']; //第一次写入,为后面刷新或后退的判断做个铺垫 //...........			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M9x6Qob.html" rel="bookmark">php-PHP 基于smarty利用session 防止表单重复提交</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 PHP 基于smarty利用session 防止表单重复提交 我在弄一个提交充值信息的表单,当点击提交的时候需要loading,如果再点击一次,就会重复上交,管理中就会多出一条记录,我用session记录当前页面的提交值,可是提交的时候无法改变当前值,就不能中断重复提交,求大神帮忙! 解决方案 点击提交后,用js将提交按钮设为disabled. 解决方案二: 利用session防止表单重复提交利用Session防止表单重复提交利用Session防止表单重复提交 解决方案三: 这个问题显			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDkkr6p.html" rel="bookmark">php 防止表单重复提交几种方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				用户提交表单时可能因为网速的原因,或者网页被恶意刷新,致使同一条记录重复插入到数据库中,这是一个比较棘手的问题.我们可以从客户端和服务器端一起着手,设法避免同一表单的重复提交. 1．使用客户端脚本 &lt;form method=&quot;post&quot; name=&quot;register&quot; action=&quot;test.php&quot; enctype=&quot;multipart/form-data&quot;&gt;   &lt;input name=&quot;te			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwKDJ5z.html" rel="bookmark">php表单加入Token防止重复提交的方法分析&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了php表单加入Token防止重复提交的方法.分享给大家供大家参考,具体如下: Token浅谈 Token,就是令牌,最大的特点就是随机性,不可预测.一般黑客或软件无法猜测出来. 那么,Token有什么作用?又是什么原理呢? Token一般用在两个地方--防止表单重复提交.anti csrf攻击(跨站点请求伪造). 两者在原理上都是通过session token来实现的.当客户端请求页面时,服务器会生成一个随机数Token,并且将Token放置到session当中,然后将Token发			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/baayYNb.html" rel="bookmark">PHP生成token防止表单重复提交2个例子</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在网上搜索了一下有很多站长都这样说的 1.提交按钮置disabled 当用户提交后,立即把按钮置为不可用状态.这种用js来实现. 提交前代码如下:  代码如下 复制代码 $(&quot;#submit&quot;).attr('disabled','true'); $(&quot;#submit&quot;).val(&quot;正在提交,请稍等&quot;); 执行后,把按钮置为原来状态 代码如下:  代码如下 复制代码 $('#submit ').removeAttr('disabled'); $(&			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7b2rKrb.html" rel="bookmark" class="title">弹性&plus;固宽布局</a>
					<div>
						当然为了减少这种屏幕的浪费,采用弹性流体布局是最好的解决方案,它可以充分利用屏幕空间,无论你是多大分辩率的用户,都能尽情满屏展示内容. 在当今用户的显示器越来越大的今天,之前的1024*768固宽布局 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/dzZka5b.html" rel="bookmark" class="title">限制图片上传长宽的JavaScript代码</a>
					<div>
						javascript|上传 &lt;html&gt;&lt;head&gt;&lt;title&gt;Upload Image&lt;/title&gt;&lt;meta http-equiv=&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMgYd6z.html" rel="bookmark" class="title">DW MX 2004的电子相册制作</a>
					<div>
						Dreamweaver MX 2004版本中增加了Flash Element功能,这使Dreamweaver和Flash的关联更加紧密了.这个Flash Element究竟有什么特别的呢?它可以帮你方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ybj335M.html" rel="bookmark" class="title">asp&period;net2&period;0的中国农历日期类</a>
					<div>
						asp.net|农历 是2.0的,没有试验过,先保留着,以后还有用 以下是代码片段:using System;using System.Collections.Generic;using System ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/rz48lqz.html" rel="bookmark" class="title">类的继承（Inheritance）</a>
					<div>
						vb.net支持类的继承,允许用户定义一个类,作为其他类继承的依据,继承类能够继承.扩充基本类的属性和方法,继承类也可以重载基本类的一些方法,所有在Vb.net中建立的类缺省的属性都是可继承的.因为窗 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVnwdnz.html" rel="bookmark" class="title">详解Liferay Portlet的结构</a>
					<div>
						一个典型的Portlet应该有如下的结构: 开发&quot;&gt; 源代码文件: java源代码存放在&lt;项目名&gt;/docroot/WEB-INF/src 目录下 配置文件: 配置文件都在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnx4jrb.html" rel="bookmark" class="title">微软推出Mac版Windows Phone同步工具套件更新</a>
					<div>
						微软日前推出了最新一款 Mac 版同步工具套件更新,全新版本支持 Windows Phone 8.1 预览版推送更新.值得说明的是,微软在  Windows Phone 8.1 预览版推送更新之前就已 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKQB1M.html" rel="bookmark" class="title">用JS解决网站防挂iframe木马的方案</a>
					<div>
						最近公司和好朋友的网站纷纷被IFRAME了,有的挂上了鸽子,有的疯狂地弹窗,有的给人家增加流量.一个个文件去查找替换那些IFRAME代码,刚松口气,不久又加上去了.于是他们向我这个&quot;JS高手 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2ywkZz.html" rel="bookmark" class="title">用户界面设计风格说明&lpar;上&rpar;</a>
					<div>
						1引言 1.1设计说明 本文档是对系统界面设计风格进行描述,和用户交互的最终界面在&lt;详细设计说明书&gt;中设计和解释. 1.2概念和定义 用户界面:又称人机界面,实现用户与计算机之间得通信,以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrK5e1p.html" rel="bookmark" class="title">Delphi与DirectX之DelphiX&lpar;14&rpar;</a>
					<div>
						TPictureCollectionItem.DrawRotate(); 的同类函数还有: TPictureCollectionItem.DrawRotateAdd(); TPictureCollec ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW10jjz.html" rel="bookmark" class="title">两种设计模式在EJB开发中的应用</a>
					<div>
						摘要:本文介绍了J2EE的分层结构,深入研究了如何使用Session Facade模式和ValueObject 模式设计EJB,并对其开发过程做了较详细的说明. 关键字:EJB ;值对象模式;会话外观 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqL0v2b.html" rel="bookmark" class="title">NHibernate学习专题</a>
					<div>
						我的NHibernate之路(3)---表间多对多配置篇 我的NHibernate之路(2)---主从表(一对多)配置篇 我的NHibernate之路(1)---基本配置篇 NHibernate之旅( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z72Jl4p.html" rel="bookmark" class="title">教你在Word2007保护自己的文档使用隐私</a>
					<div>
						  每次我们使用文档保存后,word会自动记录下来,在点击office按钮的时候,这些文档会在[最近使用的文档]中展现出来.但很多时候,出于隐私保护的需求,我们不想让同样使用这个word的人看到,就需 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN1qPWb.html" rel="bookmark" class="title">VNX系列的阵列柜每条总线能支持多少个enclosures</a>
					<div>
						故障现象: VNX系列的阵列柜每条总线(Bus)能支持多少个enclosures? 解决方案: VNX系列的阵列柜每条总线最多支持10个enclosure,即一个主柜9个扩展柜. 需要注意的是,每个型 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN1DnWb.html" rel="bookmark" class="title">Pages怎么输入上标下标</a>
					<div>
						  Pages怎么输入上标下标?相信很多使用Mac作为工作用机的用户朋友也跟PC6小编一样经常会用到 Pages ,偶而也会用到上标及下标,今天就为大家介绍一下如何在Pages添加上标下标. 1.光标 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLaD6vz.html" rel="bookmark" class="title">DX12对游戏有哪些影响</a>
					<div>
						  DirectX 12(简称DX12)相信大家都不会陌生,它最大的亮点在于可以提升游戏体验.现在问题来了,DX12既然可以提升游戏性能,这是否意味着电脑只要支持DX12,硬件配置低一些,也能带来良好 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEWxNnp.html" rel="bookmark" class="title">Java并发&mdash;&mdash;各类互斥技术的效率比较</a>
					<div>
						    既然Java包括老式的synchronized关键字和Java SE5中心的Lock和Atomic类,那么比较这些不同的方式,更多的理解他们各自的价值和适用范围,就会显得很有意义.     比 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze7BkVM.html" rel="bookmark" class="title">php邮件发送&comma;php发送邮件的类&lowbar;php技巧</a>
					<div>
						smtp.class.php 这个是类把他做保存到一个文件中. 复制代码 代码如下: &lt;?php class smtp { /* Public Variables */ var $smtp_po ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My3DA4z.html" rel="bookmark" class="title">在hibernate中如何通过对象找到对应的表呢？</a>
					<div>
						问题描述 当然POJO和表是通过.hbm.xm映射文件实现的 那我如何获取到对象对应的表呢? 问题补充:AngelAndAngel 写道 解决方案 public class HibernateConf ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlKBoVb.html" rel="bookmark" class="title">如何建视图，请给我SQL语句！</a>
					<div>
						问题描述 如何建视图,请给我SQL语句! 解决方案 creat view 视图名? 解决方案二: 快速构建视图或SQL语句快速构建视图或SQL语句 解决方案三: create view 视图名 as( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2RVWob.html" rel="bookmark" class="title">Dubbo扩展点加载机制 - ExtensionLoader</a>
					<div>
						来源:  Dubbo的扩展点加载从JDK标准的SPI(Service Provider Interface)扩展点发现机制加强而来. Dubbo改进了JDK标准的SPI的以下问题: JDK标准的SPI ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MydPR8b.html" rel="bookmark" class="title">javaSE版雷电（附源码&plus;手把手教程）继pvz联机版后又一力作！</a>
					<div>
						问题描述 本游戏是我&lt;游戏AI怎么玩?&gt;系列教程中的一个游戏示例游戏详见视频:http://v.youku.com/v_show/id_XNTQyOTI5NjA4.html源码及手把手教程 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlLW6OM.html" rel="bookmark" class="title">Ftp4j连接服务器出现异常 FTPException code&equals;502&comma; REIN not implemented</a>
					<div>
						问题描述 最近因为需求,需要通过JAVA程序连接服务器并上传文件.于是选用了FTP4J这个开源FTP工具,我在本机搭建了个FTP服务器测试通过.但是准备部署生产的时候出了点问题,FTP到服务器(Lin ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVQDg4p.html" rel="bookmark" class="title">背水一战 Windows 10 &lpar;55&rpar; - 控件（集合类）&colon; SemanticZoom&comma; ISemanticZoomInformation</a>
					<div>
						原文:背水一战 Windows 10 (55) - 控件(集合类): SemanticZoom, ISemanticZoomInformation [源码下载] 背水一战 Windows 10 (55 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M12ko9p.html" rel="bookmark" class="title">请教关于mysql数据库字段枚举类型的问题</a>
					<div>
						问题描述 数据库里有一个problem(问题)表,表中需要一个字段是存储这道题都覆盖了哪些point(知识点,字符串类型).我想到要用枚举类型或者set类型,但是它们都要求在创建表的时候,要初始化其中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjwX4nM.html" rel="bookmark" class="title">你真的了解mysql的varchar字段的长度有多少吗&quest;</a>
					<div>
						今天在设计系统字段的时候, 发现自己对varchar还不够了解.我设了一个字段.类型为VARCHER,然后我就往里面测试性了写了东西.发现没有多少就满了.我觉得奇怪,5.5版本以上的MYSQL不是有6 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlmV4Vp.html" rel="bookmark" class="title">轻松掌握java外观模式&lowbar;java</a>
					<div>
						定义:外观模式(Facade),为子系统中的一组接口提供一个一致的界面,定义一个高层接口,这个接口使得这一子系统更加容易使用 特点:     (1)实现了子系统与客户端之间的松耦合关系.     (2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBkNWoM.html" rel="bookmark" class="title">微信多开器 哪位大神给我讲讲 微信多开器的实现</a>
					<div>
						问题描述 微信多开器 哪位大神给我讲讲 微信多开器的实现 哪位大神给我讲讲 微信多开器的实现 哪位大神给我讲讲 微信多开器的实现 解决方案 http://download.csdn.net/detai ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlmqnDp.html" rel="bookmark" class="title">求大神把这段代码完成的功能用asp代码写出来</a>
					<div>
						问题描述 求大神把这段代码完成的功能用asp代码写出来 protected void Button1_Click(object sender, System.EventArgs e) { XmlDoc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1Nxvxp.html" rel="bookmark" class="title">获取动态SQL查询语句返回值&lpar;sp&lowbar;executesql&rpar;</a>
					<div>
						原文:获取动态SQL查询语句返回值(sp_executesql) 在写存储过程时经常会遇到需要拼接SQL语句的情况,一般情况下仅仅是为了执行拼接后的语句使用exec(@sql)即可. 而今天的一个存储 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
